=== debian/changelog ===
crowdsec (1.4.2-2) unstable; urgency=medium

  * Fix FTBFS with -A (`Architecture: all` only) by adjusting the contents
    of the crowdsec binary package within override_dh_install-arch instead
    of override_dh_install.

 -- Cyril Brulebois <cyril@debamax.com>  Tue, 14 Feb 2023 23:54:17 +0000

crowdsec (1.4.2-1) unstable; urgency=medium

  * New upstream release (Closes: #1011665).
  * Add patches:
     - 0008-r3labs-diff-versions.patch: adjust import path for
       r3labs/diff.
     - 0009-disable-kafka-acquisition-module.patch: this would require
       introducing a number of new packages.
     - 0010-disable-some-tests.patch: cloudwatch, kinesis, and docker are
       fine for integration tests but would require new packages and
       setting up a test infrastructure.
     - 0011-refresh-protobuf-code.patch: this avoids protobuf version
       mismatch.
     - 0012-work-around-buggy-testparse-test.patch: bump expected year
       when parsing year-less timestamps.
  * Refresh patches:
     - 0003-adjust-systemd-unit.patch
     - 0004-disable-geoip-enrich.patch
     - 0005-adjust-config.patch
     - 0007-automatically-enable-online-hub.patch
  * Delete obsolete patches:
     - 0001-use-a-local-machineid-implementation.patch (a separate package
       is available now)
     - 0002-add-compatibility-for-older-sqlite-driver.patch
     - 0006-prefer-systemctl-restart.patch (bug fixed upstream)
     - 0008-hub-disable-broken-scenario.patch
     - 0009-Improve-http-bad-user-agent-use-regexp-197.patch
     - 0010-5ae69aa293-fix-stacktrace-when-mmdb-files-are-not-present.patch
     - 0011-4dbbd4b3c4-automatically-download-files-when-needed.patch
  * Update dependencies:
     - Add golang-entgo-ent-dev
     - Add golang-github-alexliesenfeld-health-dev
     - Add golang-github-aquasecurity-table-dev
     - Add golang-github-beevik-etree-dev
     - Add golang-github-blackfireio-osinfo-dev
     - Add golang-github-c-robinson-iplib-dev
     - Add golang-github-confluentinc-bincover-dev
     - Add golang-github-crowdsecurity-dlog-dev
     - Add golang-github-crowdsecurity-grokky-dev
     - Add golang-github-crowdsecurity-machineid-dev
     - Add golang-github-hashicorp-go-plugin-dev
     - Add golang-github-ivanpirog-coloredcobra-dev
     - Add golang-github-jackc-pgx-v4-dev
     - Add golang-github-jarcoal-httpmock-dev
     - Add golang-github-jszwec-csvutil-dev
     - Add golang-github-masterminds-sprig-dev
     - Add golang-github-pbnjay-memory-dev
     - Add golang-github-r3labs-diff-dev
     - Add golang-github-slack-go-slack-dev
     - Add golang-github-texttheater-golang-levenshtein-dev
     - Add golang-github-xhit-go-simple-mail-dev
     - Bump golang-github-gin-gonic-gin-dev from 1.6.3 to 1.8.1
     - Delete golang-github-facebook-ent-dev (replaced with
       golang-entgo-ent-dev)
     - Delete golang-github-logrusorgru-grokky-dev (replaced with
       golang-github-crowdsecurity-grokky-dev)
     - Delete golang-github-olekukonko-tablewriter-dev (no longer used)
     - Replace golang-logrus-dev with golang-github-sirupsen-logrus-dev
     - Replace golang-pq-dev with golang-github-lib-pq-dev
     - Replace golang-prometheus-client-dev with
       golang-github-prometheus-client-golang-dev
     - Replace golang-yaml.v2-dev with golang-gopkg-yaml.v2-dev
     - Add python3 (for the testsuite).
  * Adjust variables passed to the build system via LD_FLAGS:
     - Set BUILD_CODENAME from platform/unix_common.mk
     - Set BUILD_TIMESTAMP, replacing BUILD_DATE.
     - Stop setting BUILD_GOVERSION, now determined at runtime.
  * Avoid “date: invalid date ‘@’” warnings when using ancillary rules.
  * Include a snapshot of hub files from the v1.4.2 branch, at commit
    73d2edaaf1.
  * Add README.source, documenting additional tarballs.
  * Include a snapshot of data files, at commit 03c7a30d70, plus
    Cloudflare IPv4 and IPv6 addresses as of 2022-12-15.
  * Upon upgrade, only enable items that are new since 1.0.9, instead
    of enabling all of them (which could enable again things that were
    disabled by the admin).
  * Adjust lintian overrides:
     - Adjust syntax to avoid mismatched overrides.
     - Extend hardening-no-pie to plugins.
     - Avoid a false positive with shell-script-fails-syntax-check.
     - Avoid a false positive with broken-gz.
     - Silence script-not-executable and unusual-interpreter bats
       for *.bats file (test files).

 -- Cyril Brulebois <cyril@debamax.com>  Tue, 14 Feb 2023 22:32:27 +0000

crowdsec (1.0.9-4) experimental; urgency=medium

  * Add square brackets around paths for hardening-no-pie lintian overrides.
  * Add library package, which is a build dependency bouncers require.
  * Adjust debhelper control files for the switch from building a single
    package to building multiple packages (mostly marking existing files
    with a crowdsec. prefix).
  * Adjust setting BUILD_CODENAME, avoiding an awk(ward) warning.

 -- Cyril Brulebois <cyril@debamax.com>  Fri, 06 May 2022 04:48:13 +0000

crowdsec (1.0.9-3) unstable; urgency=medium

  * Backport upstream patches to deal with missing MMDB files gracefully
    (geolocation files aren't shipped by default):
      - 5ae69aa293: fix stacktrace when mmdb files are not present (#935)
      - 4dbbd4b3c4: automatically download files when needed (#895), so
        that switching to the online hub doesn't require extra steps to
        fetch files.

 -- Cyril Brulebois <cyril@debamax.com>  Sat, 04 Dec 2021 05:03:33 +0100
