=== debian/rules ===
--- 
+++ 
@@ -3,18 +3,26 @@
 export DH_GOLANG_INSTALL_ALL := 1
 export DH_GOLANG_EXCLUDES := hub\d+ data\d+
 
+# Make sure ancillary rules don't generate errors, since the following
+# variable is only set while building:
+ifneq (,$(SOURCE_DATE_EPOCH))
+	now := @$(SOURCE_DATE_EPOCH)
+else
+	now := now
+endif
+
+# Upstream's Makefile would take care of this, but we're building via
+# dh_auto_build in golang mode, instead of using make:
 export BUILD_VERSION   := $(shell dpkg-parsechangelog -SVersion)
 export BUILD_TAG       := debian
-export BUILD_CODENAME  := $(shell awk '/CodeName/ { gsub(/\"/, "", $$2); print $$2 }' RELEASE.json)
-export BUILD_GOVERSION := $(shell go version | awk '{ gsub(/^go/, "", $$3); print $$3 }')
-export BUILD_DATE      := $(shell TZ=Etc/UTC date +'%F_%T' -d @$(SOURCE_DATE_EPOCH))
+export BUILD_CODENAME  := $(shell perl -ne 'print $$1 if /^BUILD_CODENAME="(.+)"$$/' platform/unix_common.mk)
+export BUILD_TIMESTAMP := $(shell TZ=Etc/UTC date +'%F_%T' -d $(now))
 export set_cwversion   := -X github.com/crowdsecurity/crowdsec/pkg/cwversion
 export LD_FLAGS        := -ldflags '-s -w             \
 	$(set_cwversion).Version=$(BUILD_VERSION)     \
 	$(set_cwversion).Tag=$(BUILD_TAG)             \
 	$(set_cwversion).Codename=$(BUILD_CODENAME)   \
-	$(set_cwversion).GoVersion=$(BUILD_GOVERSION) \
-	$(set_cwversion).BuildDate=$(BUILD_DATE)      \
+	$(set_cwversion).BuildDate=$(BUILD_TIMESTAMP) \
 '
 
 # Use 1 for a new upstream release, and bump it when an update of the
@@ -22,7 +30,7 @@
 # below for the generate_hub_tarball target:
 export DATA_ID    := 1
 export HUB_ID     := 1
-export HUB_BRANCH := master
+export HUB_BRANCH := origin/v1.4.2
 export HUB_DIR    := ../hub
 export U_VERSION  := $(shell dpkg-parsechangelog -SVersion|sed 's/-.*//')
 
@@ -33,7 +41,7 @@
 	dh_auto_build -- $(LD_FLAGS)
 
 override_dh_auto_install:
-	dh_auto_install -- --no-source
+	dh_auto_install --
 
 override_dh_install:
 	dh_install
